# fargo - document box
# Copyright (C) 2016-2019  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from .views import (
    authorize_get_document,
    authorize_put_document,
    download_put_document,
    get_document,
    get_document_token,
    put_document,
)

urlpatterns = [
    url(r'get-document/authorize', authorize_get_document, name='oauth2-authorize'),
    url(r'get-document/token', get_document_token, name='oauth2-get-token'),
    url(r'get-document/', get_document, name='oauth2-get-document'),
    url(r'put-document/$', put_document, name='oauth2-put-document'),
    url(r'put-document/(?P<pk>\w+)/authorize/', authorize_put_document, name='oauth2-put-document-authorize'),
    url(r'put-document/(?P<pk>\w+)/download/', download_put_document, name='oauth2-put-document-download'),
]
